DCMTK: DcmRLECodecParameter Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
DcmRLECodecParameter Class Reference

codec parameter for RLE codec More...

Inheritance diagram for DcmRLECodecParameter:

## Public Member Functions
| DcmRLECodecParameter (OFBool pCreateSOPInstanceUID=OFFalse, Uint32 pFragmentSize=0, OFBool pCreateOffsetTable=OFTrue, OFBool pConvertToSC=OFFalse, OFBool pReverseDecompressionByteOrder=OFFalse)
| constructor.
| DcmRLECodecParameter (const DcmRLECodecParameter &arg)
| copy constructor
virtual | ~DcmRLECodecParameter ()
| destructor
virtual DcmCodecParameter * | clone () const
| this methods creates a copy of type DcmCodecParameter * it must be overwritten in every subclass.
virtual const char * | className () const
| returns the class name as string.
Uint32 | getFragmentSize () const
| returns maximum fragment size (in kbytes) for compression, 0 for unlimited.
OFBool | getCreateOffsetTable () const
| returns offset table creation flag
OFBool | getConvertToSC () const
| returns secondary capture conversion flag
OFBool | getUIDCreation () const
| returns mode for SOP Instance UID creation
OFBool | getReverseDecompressionByteOrder () const
| returns reverse decompression byte order mode
Public Member Functions inherited from DcmCodecParameter
| DcmCodecParameter ()
| default constructor
| DcmCodecParameter (const DcmCodecParameter &)
| copy constructor
virtual | ~DcmCodecParameter ()
| destructor

## Private Member Functions
DcmRLECodecParameter & | operator= (const DcmRLECodecParameter &)
| private undefined copy assignment operator

## Private Attributes
Uint32 | fragmentSize
| maximum fragment size (in kbytes) for compression, 0 for unlimited.
OFBool | createOffsetTable
| create offset table during image compression
OFBool | convertToSC
| flag indicating whether image should be converted to Secondary Capture upon compression
OFBool | createInstanceUID
| create new Instance UID during compression/decompression?
OFBool | reverseDecompressionByteOrder
| enable reverse byte order of RLE segments during decompression, needed to decompress certain incorrectly encoded RLE images

## Detailed Description

codec parameter for RLE codec

## Constructor & Destructor Documentation

## ◆ DcmRLECodecParameter()

DcmRLECodecParameter::DcmRLECodecParameter | ( | OFBool | pCreateSOPInstanceUID = OFFalse,
|  | Uint32 | pFragmentSize = 0,
|  | OFBool | pCreateOffsetTable = OFTrue,
|  | OFBool | pConvertToSC = OFFalse,
|  | OFBool | pReverseDecompressionByteOrder = OFFalse )

constructor.

Parameters

  pCreateSOPInstanceUID | true if a new SOP instance UID should be assigned upon compression/decompression
  pFragmentSize | maximum fragment size (in kbytes) for compression, 0 for unlimited. Please note that the DICOM standard does not allow for storing the pixel data with multiple fragments per frame (when RLE compression is used). So limiting the fragment size may result in non-standard conformant DICOM images.
  pCreateOffsetTable | create offset table during image compression?
  pConvertToSC | flag indicating whether image should be converted to Secondary Capture upon compression
  pReverseDecompressionByteOrder | flag indicating whether the byte order should be reversed upon decompression. Needed to correctly decode some incorrectly encoded images with more than one byte per sample.

Referenced by DcmRLECodecParameter(), and operator=().

## Member Function Documentation

## ◆ className()

virtual const char * DcmRLECodecParameter::className | ( |  | ) | const
| virtual

returns the class name as string.

can be used as poor man's RTTI replacement.

Implements DcmCodecParameter.

## ◆ clone()

virtual DcmCodecParameter * DcmRLECodecParameter::clone | ( |  | ) | const
| virtual

this methods creates a copy of type DcmCodecParameter * it must be overwritten in every subclass.

Returns
  copy of this object

Implements DcmCodecParameter.

References DcmCodecParameter::DcmCodecParameter().

## ◆ getConvertToSC()

OFBool DcmRLECodecParameter::getConvertToSC | ( |  | ) | const
| inline

returns secondary capture conversion flag

Returns
  secondary capture conversion flag

References convertToSC.

## ◆ getCreateOffsetTable()

OFBool DcmRLECodecParameter::getCreateOffsetTable | ( |  | ) | const
| inline

returns offset table creation flag

Returns
  offset table creation flag

References createOffsetTable.

## ◆ getFragmentSize()

Uint32 DcmRLECodecParameter::getFragmentSize | ( |  | ) | const
| inline

returns maximum fragment size (in kbytes) for compression, 0 for unlimited.

Returns
  maximum fragment size for compression

References fragmentSize.

## ◆ getReverseDecompressionByteOrder()

OFBool DcmRLECodecParameter::getReverseDecompressionByteOrder | ( |  | ) | const
| inline

returns reverse decompression byte order mode

Returns
  reverse decompression byte order mode

References reverseDecompressionByteOrder.

## ◆ getUIDCreation()

OFBool DcmRLECodecParameter::getUIDCreation | ( |  | ) | const
| inline

returns mode for SOP Instance UID creation

Returns
  mode for SOP Instance UID creation

References createInstanceUID.

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcrlecp.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2